org.apache.tools.ant.types

## Interface ResourceFactory

- All Known Implementing Classes:
    ArchiveScanner, DependScanner, DirectoryScanner, FileResource, FTP.FTPDirectoryScanner, FTPTaskMirrorImpl.FTPDirectoryScanner, Project, SourceFileScanner, TarScanner, ZipScanner

      public interface ResourceFactory

  this interface should be implemented by classes (Scanners) needing to deliver information about resources.
  Since:
    Ant 1.5.2

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource` | `getResource(java.lang.String name)` Query a resource (file, zipentry, ...) by name

- - ### Method Detail

    - #### getResource

          Resource getResource(java.lang.String name)

      Query a resource (file, zipentry, ...) by name
      Parameters:
        `name` - relative path of the resource about which information is sought. Expects "/" to be used as the directory separator.
      Returns:
        instance of Resource; the exists attribute of Resource will tell whether the sought resource exists